VERSION 5.00
Begin VB.Form frmSearch 
   Caption         =   "Search KB"
   ClientHeight    =   5865
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7890
   LinkTopic       =   "Form1"
   MDIChild        =   -1  'True
   ScaleHeight     =   5865
   ScaleWidth      =   7890
   Begin VB.ComboBox cboSearchString 
      Height          =   315
      Left            =   2160
      TabIndex        =   5
      Top             =   1080
      Width           =   2655
   End
   Begin VB.CommandButton cmdSearch 
      Caption         =   "Search"
      Height          =   375
      Left            =   2880
      TabIndex        =   4
      Top             =   1920
      Width           =   975
   End
   Begin VB.TextBox txtSearchString 
      Height          =   375
      Left            =   2160
      TabIndex        =   3
      Top             =   1080
      Width           =   2655
   End
   Begin VB.ComboBox cboSearchBy 
      Height          =   315
      Left            =   2160
      TabIndex        =   1
      Top             =   600
      Width           =   2655
   End
   Begin VB.Label lblSearchString 
      Caption         =   "Search String"
      Height          =   255
      Left            =   360
      TabIndex        =   2
      Top             =   1200
      Width           =   1335
   End
   Begin VB.Label lblSearchBy 
      Caption         =   "Search By:"
      Height          =   255
      Left            =   360
      TabIndex        =   0
      Top             =   600
      Width           =   1455
   End
End
Attribute VB_Name = "frmSearch"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' Determines what happens when user chooses
' search by combo box.  If the Credit Union Name
' is selected, text box for search string disappears
' and combo box  appears instead.
Private Sub cboSearchBy_Click()
   If cboSearchBy.Text = "Credit Union Name" Then
      txtSearchString.Visible = False
      cboSearchString.Visible = True
   Else
      txtSearchString.Visible = True
      cboSearchString.Visible = False
   End If
End Sub

' Search function of my knowledge base program.
Private Sub cmdSearch_Click()
   Dim strSearch As String
   Dim varBookMark As Variant

   ' Generates search string.
   Select Case cboSearchBy.Text
      Case "Credit Union Name"
         strSearch = "CUName = #" & cboSearchString.Text & "#"
      Case "Problem"
         strSearch = "Problem LIKE #*" & txtSearchString.Text & "*#"
      Case "Solution"
         strSearch = "Solution LIKE #*" & txtSearchString.Text & "*#"
      Case "KB Number"
         strSearch = "ID = #" & txtSearchString.Text & "#"
   End Select


   rsRecordSet.MoveFirst
   If (txtSearchString.Text <> "") Or (cboSearchString.Text <> "") Then
      ' Filters the recordset according to the search string.
      rsRecordSet.Filter = strSearch
   End If
   If rsRecordSet.EOF Or rsRecordSet.BOF Then
      MsgBox ("No match found")
      ReLoad_Data
   End If
   Me.Hide
   frmDisplay.Show
End Sub

' Initializes the search screen upon load.
Private Sub Form_Load()
   Dim intCount As Integer
   
   cboSearchBy.AddItem "Credit Union Name"
   cboSearchBy.AddItem "Problem"
   cboSearchBy.AddItem "Solution"
   cboSearchBy.AddItem "KB Number"
   ' Loads the Credit Union name from the array strCUName
   ' to the combo box.
   intCount = 1
   Do While strCUName(intCount) <> ""
      cboSearchString.AddItem strCUName(intCount)
      intCount = intCount + 1
   Loop
   cboSearchString.Visible = False
End Sub
