Attribute VB_Name = "mdlMain"

   Public Cn As ADODB.Connection
   Public rsRecordSet As ADODB.Recordset
   Public strCUName(100) As String
   
' Gets Credit Union name from the MS Access database
' and puts the value into the strCUName array.
Private Sub Get_CU_Name()
   Dim intCount As Integer
   
   intCount = 1
   rsRecordSet.MoveFirst
   Do While rsRecordSet.EOF = False
      strCUName(intCount) = rsRecordSet!cuname
      rsRecordSet.MoveNext
      intCount = intCount + 1
   Loop
End Sub

' Renumbers the ID and removes the recordset filters.
Public Sub ReLoad_Data()
   Dim intCount As Integer
   Dim objFields As ADODB.Fields
   
   Set objFields = rsRecordSet.Fields
   ' Removes the filter.  (Search was done using filter)
   rsRecordSet.Filter = ""
   rsRecordSet.MoveFirst
   ' Goes through the recordset and re-orders the ID field
   ' of the database and updates them.
   If blRenumber = True Then
      For intCount = 1 To rsRecordSet.RecordCount
         rsRecordSet!Id = intCount
         rsRecordSet.UpdateBatch
         rsRecordSet.MoveNext
      Next
   End If
   rsRecordSet.Close
   rsRecordSet.Open "SELECT * FROM KB ORDER BY ID", Cn, adOpenStatic, adLockBatchOptimistic

End Sub

' Main screen.  Opens the database for use.
Sub Main()

   Set Cn = New ADODB.Connection
   Cn.Open "provider=microsoft.jet.oledb.4.0;persist security info=false;data source = " & App.Path & "\cri.mdb"
   Set rsRecordSet = New ADODB.Recordset
   
   rsRecordSet.Open "SELECT * FROM CUINFO ORDER BY ID", Cn, adOpenStatic, adLockBatchOptimistic
   Get_CU_Name
   rsRecordSet.Close
   rsRecordSet.Open "SELECT * FROM KB ORDER BY ID", Cn, adOpenStatic, adLockBatchOptimistic
   frmMain.Show
End Sub
